/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

.nv-progress {
  background-color: var(--nv-theme-alt-2);
  border-radius: 8px;
  display: flex;
  font-size: $font-size-base;
  height: 0.5rem;
  overflow: hidden;
  position: relative;

  &.nv-progress-rounded {
    border-radius: $global-border-radius;
    
    .nv-progressbar {
      border-radius: $global-border-radius;
    }

    .circle-progressbar-svg {
      stroke-linecap: round;
    }
  }

  &.nv-progressbar-completed .nv-progressbar {
    animation-play-state: paused !important;
  }

  .nv-progressbar {
    @extend .transition-moviment;
    background-color: var(--nv-theme-primary);
    border-radius: 8px;
    color: $white;
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: center;
    text-align: center;
    
  
    &:not(:first-child):not(:last-child) {
      border-radius: 0;
    }
  
    &:first-child:not(:last-child) {
      border-bottom-right-radius: 0;
      border-top-right-radius: 0;
    }
  
    &:last-child:not(:first-child) {
      border-bottom-left-radius: 0;
      border-top-left-radius: 0;
    }
  
    &.nv-progressbar-indeterminate {
      @extend .transition-moviment;
  
      animation: loadingProgressbar 2s infinite !important;
      position: absolute !important;
      width: 50%;
    }

  }
  
  //
  // Circle
  //

  &.nv-progress-circle {
    animation: none;
    background-color: transparent;
    background-image: none !important;
    border-radius: 50%;
    height: 100px;
    position: relative;
    width: 100px;
    
    .nv-progressbar {
      animation: none;
      background-color: transparent;
      background-image: none !important;

      svg {
        transform: rotate(-90deg);
      }

      .circle-progressbar-svg {
        @extend .transition-moviment;
        stroke: var(--nv-theme-primary);
      }
    }
  }

  //
  // Semi circle
  //
  
  &.nv-progress-square {
    animation: none;
    background-color: transparent;
    background-image: none !important;
    height: 100px;
    position: relative;
    width: 100px;
    
    .nv-progressbar {
      animation: none;
      background-color: transparent;
      background-image: none !important;

      .square-progressbar-svg {
        @extend .transition-moviment;
        stroke: var(--nv-theme-primary);
      }
    }
  }


  //
  // Semi circle
  //
  
  &.nv-progress-semi-circle {
    animation: none;
    background-color: transparent;
    background-image: none !important;
    border-radius: 50%;
    height: 100px;
    position: relative;
    width: 100px;
    
    .nv-progressbar {
      animation: none;
      background-color: transparent;
      background-image: none !important;

      svg {
        transform: rotate(180deg);
      }

      .circle-progressbar-svg {
        @extend .transition-moviment;
        stroke: var(--nv-theme-primary);
      }
    }
  }

  .nv-progressbar-label {
    color: var(--nv-theme-primary);
    font-family: 'FiraGO Italic';
    position: absolute;
    width: 100%;
  }
}
